[EPIC] Front end: cross-wiki search results display
Closed, ResolvedPublic

Description

As a team, and based on feedback generated on MediaWiki and the talk page, we want to create methods and functionality to generate and display additional (and relevant) search results on Wikipedia that are from other sister projects and the native language wiki where the user entered their search query.

Our goal in this effort is to add this functionality onto Wikipedia and gather results from other projects to display on the search results page. These search results will be in the same language as the search was done in - i.e.: if I search on en.wiki for what is the history of the olympics I want to see search results in English on en.wiki and also relevant results (in English) from sister projects such as wikiquote, wiktionary, wikivoyage, etc.

We've discussed this in various different meetings, here are the etherpad notes that contain the raw minutes from those meetings, in order to refresh our memories (listed in no particular order):

This ticket is to cover the front end display that we need to build to support the backend functionality (T145918).

Related Objects

StatusAssignedTask
Resolveddebt
Resolveddebt
Resolveddebt
Resolveddebt
ResolvedJdrewniak
Resolvedmpopov
Resolvedmpopov
ResolvedEBernhardson
DeclinedJdrewniak
Resolveddebt
ResolvedJdrewniak
DeclinedNone
DeclinedNone
DeclinedNone
Resolveddebt
Resolveddebt
Resolveddebt
Resolveddebt
Resolveddebt
Resolvedmpopov
Resolveddebt
DeclinedNone
ResolvedJdrewniak
DuplicateNone
ResolvedJdrewniak
DeclinedNone
Resolveddebt
ResolvedNone
DeclinedNone
ResolvedEBernhardson
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
DeclinedNone
Resolvedmpopov
ResolvedJdrewniak
DeclinedNone
DeclinedNone
ResolvedCKoerner_WMF
Resolveddcausse
ResolvedJdrewniak
debt created this task.Sep 16 2016, 11:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2016, 11:46 PM
debt triaged this task as Normal priority.Sep 16 2016, 11:49 PM
TJones added a subscriber: TJones.Sep 19 2016, 3:33 PM
debt added a comment.EditedNov 3 2016, 9:29 PM

I've created an A/B testing page here.

debt added a comment.Dec 6 2016, 10:46 PM

We've posted this on various village pumps - more information here: https://phabricator.wikimedia.org/T147312#2852590

debt added a comment.Jan 9 2017, 6:19 PM

We've received feedback from the community and will be testing on the following Wikipedias: Polish, Catalan, Italian and Persian. See testing page: https://www.mediawiki.org/wiki/Cross-wiki_Search_Result_Improvements/Testing

debt added a comment.Apr 6 2017, 10:23 PM

Note that we've posted the upcoming release of the sister project snippets in the search results page—among a host of other search related updates—to various Village Pumps and to the email lists. More information can be found at T162276#3161968.

A blog post is expected to be released on Monday, April 10, 2017.

RandomDSdevel rescinded a token.
debt closed this task as Resolved.Fri, Sep 22, 4:28 PM
debt moved this task from UI to Done on the Discovery-Search (Current work) board.
debt claimed this task.

Closing out this ticket as all remaining tests and analysis has been completed. The sister project snippets have been in production on all search engine results pages (SERP) on mobile web and desktop, since June 2017. The metrics dashboard can be viewed here to see how usage is progressing.

After further testing and the fact that the overall scope of Discovery's work is shifting, we've decided not to enable any other features that were linked to this epic ticket (information is detailed here and on the various subpages of that wiki page).